<?php

/**
 * 供应链礼服备货小货发货相关rpc服务
 */

namespace Meibuyu\Rpc\Service\Interfaces\Production;


interface ExternalDeliveryServiceInterface
{

    /**
     * 查看指定生产单发货记录
     * @param $params
     * @author Liu lu
     * date 2022-11-11
     */
    public function productionDeliveryDetail($params);


    /**
     * 创建发货记录
     * @param $params
     * @author Liu lu
     * date 2022-11-14
     */
    public function  createDeliveryRecord($params);

    /**
     * 待确认发货详情展示
     * @param $productionId
     * @author Liu lu
     * date 2022-11-14
     */
    public function  deliveryPendingDisplay($productionId);

    /**
     * 小货-发货记录
     * @param $params
     * @author Linjixin
     * date 2022-11-15
     */
    public function deliveryRecordsList($params);


    /**
     * 小货-发货记录导出
     * @param $params
     * @author Linjixin
     * date 2022-11-15
     */
    public function deliveryRecordsListExport($params);


    /**
     * 通过发货单号获取发货信息
     * @param $deliveryNoArr 发货单号
     * @param $relation  关联模型 拿到发货产品信息 ['dispatch_products]
     * @param $columns
     * @return array  ['发货单号'=>array()]
     * @author Liu lu
     * date 2022-11-15
     */
    public function getListInfoByDeliveryNo($deliveryNoArr,$relation=['dispatch_products'],$columns=['*']);


}